## mpclib3 1.2.1

=== debian/changelog ===
mpclib3 (1.2.1-2build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:23:32 +0100

mpclib3 (1.2.1-2) unstable; urgency=medium

  * Package as 3.0 source format. Closes: #1007082.

 -- Matthias Klose <doko@debian.org>  Wed, 23 Mar 2022 19:18:41 +0100

mpclib3 (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version.
  * Update watch file.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Oct 2021 12:58:56 +0200

mpclib3 (1.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Mon, 31 Aug 2020 18:56:48 +0200

mpclib3 (1.2.0~rc1-1) unstable; urgency=medium

  * New upstream release candidate.
  * Bump debhelper and standards versions.
  * Update debian/copyright.
  * Add a symbols file.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jul 2020 16:19:21 +0200

mpclib3 (1.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Jan 2018 05:05:10 +0100

mpclib3 (1.0.3-2) unstable; urgency=medium

  * Bump debhelper and standards versions.
  * Enable parallel builds.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Sep 2017 12:53:56 +0200

mpclib3 (1.0.3-1) unstable; urgency=medium

  * New upstream version.
    - Fixed mpc_pow.
    - Switched to libtool 2.4.5.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Feb 2015 14:05:30 +0100

mpclib3 (1.0.2-2) unstable; urgency=medium

  * New maintainer (Debian GCC Maintainers). Closes: #771882.
  * Bump standards version to 3.9.6, fix lintian warnings.
  * Build using dpkg-buildflags.
  * Add a watch file.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Dec 2014 13:12:14 +0100

mpclib3 (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Build with dh-autoreconf (closes: #753537).
    Thanks Mauricio Faria de Oliveira for the patch.

 -- Laurent Fousse <lfousse@debian.org>  Thu, 10 Jul 2014 00:20:31 +0000

mpclib3 (1.0.1-1) unstable; urgency=low

  * New upstream release (closes: #696696).
  * Change source package name to break gcc's build-dependencies
    cycle (see #546161).

 -- Laurent Fousse <lfousse@debian.org>  Tue, 25 Dec 2012 17:01:12 -0800

mpclib (0.9-4) unstable; urgency=low

  * Install into multiarch locations, thanks Matthias Klose for
    the patch (closes: #644707).
  * Use dpkg-buildflags to set CFLAGS (closes: #644709)

 -- Laurent Fousse <lfousse@debian.org>  Sun, 09 Oct 2011 00:01:58 +0200

mpclib (0.9-3) unstable; urgency=low

  * Don't ship .la file (closes: #622446).

 -- Laurent Fousse <lfousse@debian.org>  Thu, 14 Apr 2011 22:56:44 +0200

mpclib (0.9-2) unstable; urgency=low

  * Build-depends on the new libgmp-dev package.

 -- Laurent Fousse <lfousse@debian.org>  Sun, 06 Mar 2011 22:36:44 +0100

mpclib (0.9-1) unstable; urgency=low

  * New Upstream release.
  * Fix copyright information (closes: #610702).
  * debian/{control,changelog}: modify my email address.

 -- Laurent Fousse <lfousse@debian.org>  Mon, 21 Feb 2011 15:24:42 +0100

mpclib (0.8.2-1) unstable; urgency=low

  * New Upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Upgraded Standards-Version to 3.8.4 (no change needed).
  * Updated Vcs-* fields.

 -- Laurent Fousse <laurent@komite.net>  Thu, 27 May 2010 10:32:33 +0200

mpclib (0.8.1-1) unstable; urgency=low

  * New Upstream release.

 -- Laurent Fousse <laurent@komite.net>  Wed, 09 Dec 2009 00:02:49 +0100

mpclib (0.8-1) unstable; urgency=low

  * New Upstream release.

 -- Laurent Fousse <laurent@komite.net>  Thu, 05 Nov 2009 16:04:47 +0100

mpclib (0.7-1) unstable; urgency=low

  * New Upstream release.
  * *Really* upgrade Standards-Version this time.

 -- Laurent Fousse <laurent@komite.net>  Thu, 10 Sep 2009 16:56:30 +0200

mpclib (0.7~rc1-1) experimental; urgency=low

  * New Upstream release candidate.
  * New SONAME, library name change.
  * Upgraded Standards-Version to 3.8.3 (no change needed).

 -- Laurent Fousse <laurent@komite.net>  Fri, 04 Sep 2009 16:30:30 +0200

mpclib (0.6-1) unstable; urgency=low

  * New Upstream Version
  * Library version change, hence the rename libmpc0 -> libmpc1.
  * Update Standards-Version:
    + add support for new `nocheck' flag in DEB_BUILD_OPTIONS.

 -- Laurent Fousse <laurent@komite.net>  Wed, 01 Apr 2009 19:44:51 +0200

mpclib (0.5.2-1) unstable; urgency=low

  * New Upstream Version

 -- Laurent Fousse <laurent@komite.net>  Thu, 11 Dec 2008 20:59:55 +0100

mpclib (0.5.1-1) unstable; urgency=low

  * New Upstream Version

 -- Laurent Fousse <laurent@komite.net>  Wed, 19 Nov 2008 13:47:19 +0100

mpclib (0.5-2) unstable; urgency=low

  * Fix rules to ship non-empty debs.
  * Fix Depends for libmpc-dev.

 -- Laurent Fousse <laurent@komite.net>  Wed, 22 Oct 2008 15:58:05 +0200

mpclib (0.5-1) unstable; urgency=low

  * Initial release (Closes: #502279).

 -- Laurent Fousse <laurent@komite.net>  Tue, 14 Oct 2008 16:21:17 +0200
