=== debian/control ===
Source: mpclib3
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 11),
  libmpfr-dev (>= 4.1.0),
  libgmp-dev,
Standards-Version: 4.6.0
Section: libs
Homepage: http://www.multiprecision.org/mpc/

Package: libmpc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmpc3 (= ${binary:Version}),
  libmpfr-dev (>= 4.0.0),
  libgmp-dev,
  ${misc:Depends}
Description: multiple precision complex floating-point library development package
 MPC is a portable library written in C for arbitrary precision
 arithmetic on complex numbers providing correct rounding. For the time
 being, it contains all arithmetic operations over complex numbers, the
 exponential and the logarithm functions, the trigonometric and
 hyperbolic functions.
 .
 Ultimately, it should implement a multiprecision equivalent of the ISO
 C99 standard.
 .
 It builds upon the GNU MP and the MPFR libraries.

Package: libmpc3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multiple precision complex floating-point library
 MPC is a portable library written in C for arbitrary precision
 arithmetic on complex numbers providing correct rounding. For the time
 being, it contains all arithmetic operations over complex numbers, the
 exponential and the logarithm functions, the trigonometric and
 hyperbolic functions.
 .
 Ultimately, it should implement a multiprecision equivalent of the ISO
 C99 standard.
 .
 It builds upon the GNU MP and the MPFR libraries.
