## mpclib3 1.3.1

=== debian/changelog ===
mpclib3 (1.3.1-1build3) questing; urgency=medium

  * No-change rebuild for IEEE long double.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Sep 2025 08:18:07 +0200

mpclib3 (1.3.1-1build2) oracular; urgency=medium

  * No-change rebuild to disable frame pointers on ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 13:14:55 +0200

mpclib3 (1.3.1-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:13:23 +0200

mpclib3 (1.3.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Dec 2022 12:15:33 +0100
