=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 XSBC-Original-Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper (>= 11),
-  libmpfr-dev (>= 4.1.0),
+  libmpfr-dev (>= 4.1.1),
   libgmp-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: http://www.multiprecision.org/mpc/
