=== debian/watch ===
version=4
https://ftp.gnu.org/gnu/mpc/ \
        mpc-([\d\.]+)\.tar\.gz debian uupdate
